<template>
  <div class="row justify-content-center img-bg">
    <div class="absolute row">
      <div class="col-2"></div>
      <div class="col-8 row main-contain auth-custom-contain">
        <div class="col-12 single-contain-on-border bg-white text-center overflow-main-contain">
          <div class="space-2" />
          <h4 class="t-color-soft-gray font-variant-caps">{{title1}}</h4>
          <h1 class="t-color-red">{{title2}}</h1>
          <p class="t-color-soft-gray">
            {{dialog1}}
            <br />
          </p>
          <div class="space-1" />
          <div class="row">
            <div class="col-2" />
            <div class="col-8">
              <form>
                <div class="col-12 row scrollbar overflow-sub-contain">
                  <div class="col-md-6 inp-space">
                    <div class="group">
                      <input type="text" required="required" v-model="editProfile.firstName"/>
                      <span class="bar"></span>
                      <label>First Name</label>
                      <div class="row absolute">
                        <h6 v-if="editProfile.firstName === ''" class="t-validate-div t-color-red col-12 right">
                          <i class="fa fa-exclamation-circle" /> First name is required
                        </h6>
                        <h6 v-if="editProfile.firstName !== ''" class="t-validate-div t-color-green col-12 right">
                          <i class="fa fa-check-circle" /> Correct
                        </h6>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-6 inp-space">
                    <div class="group">
                      <input type="text" required="required" v-model="editProfile.surName" />
                      <span class="bar"></span>
                      <label>Surname</label>
                      <div class="row absolute">
                        <h6 v-if="editProfile.surName === ''" class="t-validate-div t-color-yellow col-12 right">
                          <i class="fa fa-exclamation-circle" /> If you have surname
                        </h6>
                        <h6 v-if="editProfile.surName !== ''" class="t-validate-div t-color-green col-12 right">
                          <i class="fa fa-check-circle" /> Correct
                        </h6>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-6 inp-space">
                    <div class="group">
                      <input type="text" required="required" v-model="editProfile.lastName" />
                      <span class="bar"></span>
                      <label>Last Name</label>
                      <div class="row absolute">
                        <h6 v-if="editProfile.lastName === ''" class="t-validate-div t-color-red col-12 right">
                          <i class="fa fa-exclamation-circle" /> Last name is required
                        </h6>
                        <h6 v-if="editProfile.lastName !== ''" class="t-validate-div t-color-green col-12 right">
                          <i class="fa fa-check-circle" /> Correct
                        </h6>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-6 inp-space">
                    <div class="group">
                      <input type="date" required="required" v-model="editProfile.DoB" />
                      <span class="bar" placeholder="false"></span>
                      <label>Date of Birth</label>
                      <div class="row absolute">
                        <h6 v-if="editProfile.DoB === ''" class="t-validate-div t-color-red col-12 right">
                          <i class="fa fa-exclamation-circle" /> Date of birth is required
                        </h6>
                        <h6 v-if="editProfile.DoB !== ''" class="t-validate-div t-color-green col-12 right">
                          <i class="fa fa-check-circle" /> Correct
                        </h6>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-9 inp-space">
                    <div class="group">
                      <input type="text" required="required" v-model="editProfile.address" />
                      <span class="bar"></span>
                      <label>Address</label>
                      <div class="row absolute">
                        <h6 v-if="editProfile.address === ''" class="t-validate-div t-color-red col-12 right">
                          <i class="fa fa-exclamation-circle" /> Address is required
                        </h6>
                        <h6 v-if="editProfile.address !== ''" class="t-validate-div t-color-green col-12 right">
                          <i class="fa fa-check-circle" /> Correct
                        </h6>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-3 inp-space">
                    <div class="group">
                      <input type="text" required="required" v-model="editProfile.road" />
                      <span class="bar"></span>
                      <label>Road</label>
                      <div class="row absolute">
                        <h6 v-if="editProfile.road === ''" class="t-validate-div t-color-red col-12 right">
                          <i class="fa fa-exclamation-circle" /> Road is required
                        </h6>
                        <h6 v-if="editProfile.road !== ''" class="t-validate-div t-color-green col-12 right">
                          <i class="fa fa-check-circle" /> Correct
                        </h6>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-5 inp-space">
                    <div class="group">
                      <input type="text" required="required" v-model="editProfile.district" />
                      <span class="bar"></span>
                      <label>District</label>
                      <div class="row absolute">
                        <h6 v-if="editProfile.district === ''" class="t-validate-div t-color-red col-12 right">
                          <i class="fa fa-exclamation-circle" /> District is required
                        </h6>
                        <h6 v-if="editProfile.district !== ''" class="t-validate-div t-color-green col-12 right">
                          <i class="fa fa-check-circle" /> Correct
                        </h6>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-5 inp-space">
                    <div class="group">
                      <input type="text" required="required" v-model="editProfile.province" />
                      <span class="bar"></span>
                      <label>Province</label>
                      <div class="row absolute">
                        <h6 v-if="editProfile.province === ''" class="t-validate-div t-color-red col-12 right">
                          <i class="fa fa-exclamation-circle" /> Province is required
                        </h6>
                        <h6 v-if="editProfile.province !== ''" class="t-validate-div t-color-green col-12 right">
                          <i class="fa fa-check-circle" /> Correct
                        </h6>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-2 inp-space">
                    <div class="group">
                      <input type="text" required="required" v-model="editProfile.zip" />
                      <span class="bar"></span>
                      <label>ZIP</label>
                      <div class="row absolute">
                        <h6 v-if="editProfile.zip === ''" class="t-validate-div t-color-red col-12 right">
                          <i class="fa fa-exclamation-circle" /> ZIP is required
                        </h6>
                        <h6 v-if="editProfile.zip !== ''" class="t-validate-div t-color-green col-12 right">
                          <i class="fa fa-check-circle" /> Correct
                        </h6>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-12 inp-space">
                    <div class="group">
                      <input type="text" required="required" v-model="editProfile.phoneNumber"/>
                      <span class="bar"></span>
                      <label>Phone Number</label>
                      <div class="row absolute">
                        <h6 v-if="editProfile.phoneNumber === ''" class="t-validate-div t-color-red col-12 right">
                          <i class="fa fa-exclamation-circle" /> Phone number is required
                        </h6>
                        <h6 v-if="editProfile.phoneNumber !== ''" class="t-validate-div t-color-green col-12 right">
                          <i class="fa fa-check-circle" /> Correct
                        </h6>
                      </div>
                    </div>
                  </div>
                </div>
                <button class="btn" @click="createProfile">{{text7}}</button>
              </form>
              <div class="space-1" />
            </div>
            <div class="col-2" />
          </div>
        </div>
      </div>
    </div>
    <b-alert
      :show="dismissCountDown"
      variant="light"
      @dismissed="dismissCountDown=0"
      @dismiss-count-down="countDownChanged"
      fade
      style="position: absolute;top: 1px;width: auto;"
    >
    {{massage}}
    </b-alert>
  </div>
</template>

<script>
export default {
  mounted () {
    console.log('Component mounted.')
    if (!this.$cookie.get('token')) {
      this.$router.push('/signin')
    }
    if (!this.$cookie.get('checkMail')) {
      if (this.$cookie.get('role') === 'Admin') {
        this.$router.push('/')
      } else {
        this.$router.push('/ProjectBlockList')
      }
    }
  },
  data () {
    return {
      title1: 'CREATE YOUR PROFILE IN',
      title2: 'Project Management',
      dialog1: 'Please enter your information to continue.',
      text1: 'First name',
      text2: 'Surname',
      text3: 'Last name',
      text4: 'Date of birth',
      text5: 'Address',
      text6: 'Phone number',
      text7: 'SAVE',
      text8: 'Road',
      text9: 'District',
      text10: 'Province',
      text11: 'ZIP',
      t: 'aaaaa<br>',
      editProfile: {
        firstName: '',
        surName: '',
        lastName: '',
        address: '',
        road: '',
        district: '',
        province: '',
        zip: '',
        phoneNumber: '',
        DoB: ''
      },
      massage: '',
      dismissSecs: 5,
      dismissCountDown: 0
    }
  },
  methods: {
    createProfile: function (e) {
      e.preventDefault()
      this.axios
        .post(
          'http://127.0.0.1:8000/api/createProfile/' + this.$cookie.get('id'),
          {
            firstName: this.editProfile.firstName,
            surName: this.editProfile.surName,
            lastName: this.editProfile.lastName,
            address: this.editProfile.address,
            road: this.editProfile.road,
            district: this.editProfile.district,
            province: this.editProfile.province,
            zip: this.editProfile.zip,
            phoneNumber: this.editProfile.phoneNumber,
            DoB: this.editProfile.DoB
          }
        )
        .then(response => {
          this.$router.push('/ProjectBlockList')
        })
        .catch(error => {
          console.log(error)
          this.showAlertEmail()
        })
    },
    countDownChanged (dismissCountDown) {
      this.dismissCountDown = dismissCountDown
    },
    showAlertEmail () {
      this.massage = ''
      this.massage = 'Please enter information in required fields.'
      this.dismissCountDown = this.dismissSecs
    }
  }
}
</script>
